Subject: [Mipshop] RE: lmm terminology

From: "[email-masked]" <[email-masked]>
Date: Sat, 18 Oct 2003 23:39:51 -0400

At the request of James Kempf a few days ago I 
referenced a mobility terminology draft that 
seamoby is doing. This draft is well-done and
and has all the  terms that the LMM work will
need.

The draft is:

Mobility Related Terminology
draft-ietf-seamoby-mobility-terminology-04.txt

This draft has been with the IESG for about 6 months.
So I think it is safe to keep this reference.

And at one point there was discussion in the draft 
regarding rCoA and lCoA.  I recall some email that we 
should make the requirements independent of any proposed 
LMM solution and it was perceived at that time that
these terms were specific to proposed architectures.

However, reading your comments below I can see the need for
defining this terminology if we were going to do some comparative
analysis of LMM solutions.

The term LCA (Local Coverage Area) was mistakenly removed.  I
will review over the seamoby terminology draft to see if
a similar term is defined and use it -or- simply define
LCA.

Carl

Original Message:
-----------------
From:  [email-masked]
Date: Sat, 18 Oct 2003 11:26:44 -0400 (EDT)
To: [email-masked], [email-masked]
Subject: lmm terminology

Thank-you Carl for maintaining this draft.

First off, I noticed that the draft defers all its
terminology definitions to another draft, which has
expired. I know you can't do anything about it, but
it seems like a single point of failure to me.

I noticed the following quote:
"NOTE: It is not required that a LMM scheme specify
LMM agents as part of its solution."

So it seems the draft doesn't care HOW lmm is provided,
which is fine by me as it suits my own goals. However
in the section that quote comes from is called Local
Coverage Area. What is that? (I know, but future readers
won't)

Second the (expired) draft does not define common lmm
terms such as rCoA, lCoA (or LMA). It's hard to believe
that however lmm is provided, these terms won't be used.

For example:

Regional Care-of Address (rCoA) - a fixed care-of address
that hides, or reduces, the micro-mobility of the mobile
node from its correspondents.

Local Care-of Address (lCoA) - a care-of address used by
the domain to direct packets to the mobile node within
the local network.

I'd like to see another term.
"Non-LMM-aware routers, hosts, Home Agents, and Mobile
Nodes MUST be able to interoperate with LMM agents."

So sometimes correspondents will direct traffic to a rCoA,
and sometimes to a lCoA (local CoA) depending on lmm-awareness
of the mobile node. A third term should define the tunnel
that terminates at the mobile node, for generic statements.
I like the term onLink, but that overloads HMIPs definition.

Anyway I would like to see some terminology that would allow
us to compare different lmm protocols.

Cheers,
Bryan

--------------------------------------------------------------------
mail2web - Check your email from the web at
http://mail2web.com/ .

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop